Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IStraightenerCurve

    java.lang.Object
      igeo.IObject
          igeo.IGeometry
              igeo.ICurve
                  igeo.IStraightenerCurve

All Implemented Interfaces:
  ICurveI, ICurveOp, IParameter, ITransformable

    public class IStraightenerCurve

extends ICurve

3 point curve with straightener force inside.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`(package private) IStraightener` | `straightener`

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IStraightenerCurve(IParticleI p1, IParticleI p2, IParticleI p3)`
`IStraightenerCurve(IParticle p1, IParticle p2, IParticle p3)`
`IStraightenerCurve(IVecI p1, IVecI p2, IVecI p3)`
`IStraightenerCurve(IVec p1, IVec p2, IVec p3)`

Method Summary
`IStraightenerCurve` | `attr(IAttribute at)`
`IStraightenerCurve` | `clr(java.awt.Color c)`
`IStraightenerCurve` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IStraightenerCurve` | `clr(double dgray)`
`IStraightenerCurve` | `clr(double dgray, double dalpha)`
`IStraightenerCurve` | `clr(double dr, double dg, double db)`
`IStraightenerCurve` | `clr(double dr, double dg, double db, double da)`
`IStraightenerCurve` | `clr(float fgray)`
`IStraightenerCurve` | `clr(float fgray, float falpha)`
`IStraightenerCurve` | `clr(float fr, float fg, float fb)`
`IStraightenerCurve` | `clr(float fr, float fg, float fb, float fa)`
`IStraightenerCurve` | `clr(int gray)`
`IStraightenerCurve` | `clr(int gray, int alpha)`
`IStraightenerCurve` | `clr(int r, int g, int b)`
`IStraightenerCurve` | `clr(int r, int g, int b, int a)`
`boolean` | `constant()`
`IStraightenerCurve` | `constant(boolean cnst)`
`IStraightenerCurve` | `hide()`
`IStraightenerCurve` | `hsb(double h, double s, double b)`
`IStraightenerCurve` | `hsb(double h, double s, double b, double a)`
`IStraightenerCurve` | `hsb(float h, float s, float b)`
`IStraightenerCurve` | `hsb(float h, float s, float b, float a)`
`IStraightenerCurve` | `layer(ILayer l)` Set layer by ILayer object
`IStraightenerCurve` | `layer(java.lang.String l)` Set layer by layer name.
`IStraightenerCurve` | `name(java.lang.String nm)` IObject methods
`IStraightenerCurve` | `parent(IObject par)`
`IParticleI` | `pt(int i)`
`IStraightenerCurve` | `removeTarget(int i)`
`IStraightenerCurve` | `removeTarget(IObject obj)`
`IStraightenerCurve` | `setColor(java.awt.Color c)`
`IStraightenerCurve` | `setColor(java.awt.Color c, int alpha)`
`IStraightenerCurve` | `setColor(double dgray)`
`IStraightenerCurve` | `setColor(double dgray, double dalpha)`
`IStraightenerCurve` | `setColor(double dr, double dg, double db)`
`IStraightenerCurve` | `setColor(double dr, double dg, double db, double da)`
`IStraightenerCurve` | `setColor(float fgray)`
`IStraightenerCurve` | `setColor(float fgray, float falpha)`
`IStraightenerCurve` | `setColor(float fr, float fg, float fb)`
`IStraightenerCurve` | `setColor(float fr, float fg, float fb, float fa)`
`IStraightenerCurve` | `setColor(int gray)`
`IStraightenerCurve` | `setColor(int gray, int alpha)`
`IStraightenerCurve` | `setColor(int r, int g, int b)`
`IStraightenerCurve` | `setColor(int r, int g, int b, int a)`
`IStraightenerCurve` | `setHSBColor(double h, double s, double b)`
`IStraightenerCurve` | `setHSBColor(double h, double s, double b, double a)`
`IStraightenerCurve` | `setHSBColor(float h, float s, float b)`
`IStraightenerCurve` | `setHSBColor(float h, float s, float b, float a)`
`IStraightenerCurve` | `show()`
`IStraightenerCurve` | `target(IObject targetObj)`
`double` | `tension()`
`IStraightenerCurve` | `tension(double tension)`
`IStraightenerCurve` | `weight(double w)`
`IStraightenerCurve` | `weight(float w)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, initCurve, insertCP, insertCP, isClosed, isClosed, isClosed, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, len, len, len, mirror, mirror, mul, mul, mv, mv, mv, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, revU, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, blue, blueInt, clearDynamics, clearGraphics, clr, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncWeight, updateGraphic, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### straightener

    IStraightener straightener

Constructor Detail

### IStraightenerCurve

    public IStraightenerCurve(IParticleI p1,
                              IParticleI p2,
                              IParticleI p3)

### IStraightenerCurve

    public IStraightenerCurve(IParticle p1,
                              IParticle p2,
                              IParticle p3)

### IStraightenerCurve

    public IStraightenerCurve(IVec p1,
                              IVec p2,
                              IVec p3)

### IStraightenerCurve

    public IStraightenerCurve(IVecI p1,
                              IVecI p2,
                              IVecI p3)

Method Detail

### tension

    public double tension()

### tension

    public IStraightenerCurve tension(double tension)

### constant

    public boolean constant()

### constant

    public IStraightenerCurve constant(boolean cnst)

### pt

    public IParticleI pt(int i)

### parent

    public IStraightenerCurve parent(IObject par)

### target

    public IStraightenerCurve target(IObject targetObj)

### removeTarget

    public IStraightenerCurve removeTarget(int i)

### removeTarget

    public IStraightenerCurve removeTarget(IObject obj)

### name

    public IStraightenerCurve name(java.lang.String nm)

  IObject methods

  Overrides:
    `name` in class `ICurve`

### layer

    public IStraightenerCurve layer(ILayer l)

  Description copied from class: `IGeometry`
  Set layer by ILayer object

  Overrides:
    `layer` in class `ICurve`

### layer

    public IStraightenerCurve layer(java.lang.String l)

  Description copied from class: `IGeometry`
  Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server

  Overrides:
    `layer` in class `ICurve`

### attr

    public IStraightenerCurve attr(IAttribute at)

  Overrides:
    `attr` in class `ICurve`

### hide

    public IStraightenerCurve hide()

  Overrides:
    `hide` in class `ICurve`

### show

    public IStraightenerCurve show()

  Overrides:
    `show` in class `ICurve`

### clr

    public IStraightenerCurve clr(java.awt.Color c)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(java.awt.Color c,
                                  int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(int gray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(float fgray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(double dgray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(int gray,
                                  int alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(float fgray,
                                  float falpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(double dgray,
                                  double dalpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(int r,
                                  int g,
                                  int b)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(float fr,
                                  float fg,
                                  float fb)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(double dr,
                                  double dg,
                                  double db)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(int r,
                                  int g,
                                  int b,
                                  int a)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(float fr,
                                  float fg,
                                  float fb,
                                  float fa)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStraightenerCurve clr(double dr,
                                  double dg,
                                  double db,
                                  double da)

  Overrides:
    `clr` in class `ICurve`

### hsb

    public IStraightenerCurve hsb(float h,
                                  float s,
                                  float b,
                                  float a)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public IStraightenerCurve hsb(double h,
                                  double s,
                                  double b,
                                  double a)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public IStraightenerCurve hsb(float h,
                                  float s,
                                  float b)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public IStraightenerCurve hsb(double h,
                                  double s,
                                  double b)

  Overrides:
    `hsb` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(java.awt.Color c,
                                       int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(int gray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(float fgray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(double dgray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(int gray,
                                       int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(float fgray,
                                       float falpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(double dgray,
                                       double dalpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(int r,
                                       int g,
                                       int b)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(float fr,
                                       float fg,
                                       float fb)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(double dr,
                                       double dg,
                                       double db)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(int r,
                                       int g,
                                       int b,
                                       int a)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(float fr,
                                       float fg,
                                       float fb,
                                       float fa)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStraightenerCurve setColor(double dr,
                                       double dg,
                                       double db,
                                       double da)

  Overrides:
    `setColor` in class `ICurve`

### setHSBColor

    public IStraightenerCurve setHSBColor(float h,
                                          float s,
                                          float b,
                                          float a)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public IStraightenerCurve setHSBColor(double h,
                                          double s,
                                          double b,
                                          double a)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public IStraightenerCurve setHSBColor(float h,
                                          float s,
                                          float b)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public IStraightenerCurve setHSBColor(double h,
                                          double s,
                                          double b)

  Overrides:
    `setHSBColor` in class `ICurve`

### weight

    public IStraightenerCurve weight(double w)

  Overrides:
    `weight` in class `ICurve`

### weight

    public IStraightenerCurve weight(float w)

  Overrides:
    `weight` in class `ICurve`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD